org.apache.activemq.artemis.jms.client

## Class ActiveMQXATopicConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory
  - - org.apache.activemq.artemis.jms.client.ActiveMQXATopicConnectionFactory

- All Implemented Interfaces:
    Externalizable, Serializable, AutoCloseable, javax.jms.ConnectionFactory, javax.jms.TopicConnectionFactory, javax.jms.XAConnectionFactory, javax.jms.XATopicConnectionFactory, Referenceable

      public class ActiveMQXATopicConnectionFactory
      extends ActiveMQConnectionFactory
      implements javax.jms.XATopicConnectionFactory

  ActiveMQ Artemis implementation of a JMS ConnectionFactory.

  This connection factory will use defaults defined by `DefaultConnectionProperties`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQXATopicConnectionFactory()`
    `ActiveMQXATopicConnectionFactory(boolean ha, DiscoveryGroupConfiguration groupConfiguration)`
    `ActiveMQXATopicConnectionFactory(boolean ha, TransportConfiguration... initialConnectors)`
    `ActiveMQXATopicConnectionFactory(ServerLocator serverLocator)`
    `ActiveMQXATopicConnectionFactory(String uri)`
    `ActiveMQXATopicConnectionFactory(String url, String user, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryType()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory

      `close, createConnection, createConnection, createConnectionInternal, createContext, createContext, createContext, createContext, createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, finalize, getCallFailoverTimeout, getCallTimeout, getClientFailureCheckPeriod, getClientID, getConfirmationWindowSize, getConnectionLoadBalancingPolicyClassName, getConnectionTTL, getConsumerMaxRate, getConsumerWindowSize, getDiscoveryGroupConfiguration, getDupsOKBatchSize, getGroupID, getIncomingInterceptorList, getInitialConnectAttempts, getInitialMessagePacketSize, getMaxRetryInterval, getMinLargeMessageSize, getOutgoingInterceptorList, getPassword, getProducerMaxRate, getProducerWindowSize, getProtocolManagerFactoryStr, getReconnectAttempts, getReference, getRetryInterval, getRetryIntervalMultiplier, getScheduledThreadPoolMaxSize, getServerLocator, getStaticConnectors, getThreadPoolMaxSize, getTransactionBatchSize, getUser, isAutoGroup, isBlockOnAcknowledge, isBlockOnDurableSend, isBlockOnNonDurableSend, isCacheLargeMessagesClient, isCompressLargeMessage, isFailoverOnInitialConnection, isHA, isPreAcknowledge, isUseGlobalPools, readExternal, setAutoGroup, setBlockOnAcknowledge, setBlockOnDurableSend, setBlockOnNonDurableSend, setCacheLargeMessagesClient, setCallFailoverTimeout, setCallTimeout, setClientFailureCheckPeriod, setClientID, setCompressLargeMessage, setConfirmationWindowSize, setConnectionLoadBalancingPolicyClassName, setConnectionTTL, setConsumerMaxRate, setConsumerWindowSize, setDupsOKBatchSize, setFailoverOnInitialConnection, setGroupID, setIncomingInterceptorList, setInitialConnectAttempts, setInitialMessagePacketSize, setMaxRetryInterval, setMinLargeMessageSize, setOutgoingInterceptorList, setPassword, setPreAcknowledge, setProducerMaxRate, setProducerWindowSize, setProtocolManagerFactoryStr, setReconnectAttempts, setRetryInterval, setRetryIntervalMultiplier, setScheduledThreadPoolMaxSize, setThreadPoolMaxSize, setTransactionBatchSize, setUseGlobalPools, setUser, toString, toURI, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XATopicConnectionFactory

      `createXATopicConnection, createXATopicConnection`

    - ### Methods inherited from interface javax.jms.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### ActiveMQXATopicConnectionFactory

          public ActiveMQXATopicConnectionFactory()

    - #### ActiveMQXATopicConnectionFactory

          public ActiveMQXATopicConnectionFactory(String uri)

    - #### ActiveMQXATopicConnectionFactory

          public ActiveMQXATopicConnectionFactory(String url,
                                                  String user,
                                                  String password)

    - #### ActiveMQXATopicConnectionFactory

          public ActiveMQXATopicConnectionFactory(ServerLocator serverLocator)

    - #### ActiveMQXATopicConnectionFactory

          public ActiveMQXATopicConnectionFactory(boolean ha,
                                                  DiscoveryGroupConfiguration groupConfiguration)

    - #### ActiveMQXATopicConnectionFactory

          public ActiveMQXATopicConnectionFactory(boolean ha,
                                                  TransportConfiguration... initialConnectors)

  - ### Method Detail

    - #### getFactoryType

          public int getFactoryType()

      Overrides:
        `getFactoryType` in class `ActiveMQConnectionFactory`

Copyright © 2015. All rights reserved.